## r-bioc-arrayexpress 1.50.0

=== DESCRIPTION ===
Package: ArrayExpress
Title: Access the ArrayExpress Microarray Database at EBI and build
        Bioconductor data structures: ExpressionSet, AffyBatch,
        NChannelSet
Version: 1.50.0
Author: Audrey Kauffmann, Ibrahim Emam, Michael Schubert
Maintainer: Suhaib Mohammed <suhaib@ebi.ac.uk>
Depends: R (>= 2.9.0), Biobase (>= 2.4.0)
Imports: XML, oligo, limma
Description: Access the ArrayExpress Repository at EBI and build Bioconductor data structures: ExpressionSet, AffyBatch, NChannelSet
License: Artistic-2.0
biocViews: Microarray, DataImport, OneChannel, TwoChannel
NeedsCompilation: no
Suggests: affy
git_url: https://git.bioconductor.org/packages/ArrayExpress
git_branch: RELEASE_3_12
git_last_commit: 3a8e996
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
Packaged: 2020-10-27 22:28:26 UTC; biocbuild

=== debian/changelog ===
r-bioc-arrayexpress (1.50.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only-upload for testing migration.

 -- Nilesh Patra <nilesh@debian.org>  Wed, 28 Apr 2021 22:58:19 +0530

r-bioc-arrayexpress (1.50.0-1) unstable; urgency=medium

  * Initial release (closes: #975340)

 -- Steffen Moeller <moeller@debian.org>  Thu, 18 Feb 2021 19:26:56 +0100

=== debian/control ===
Source: r-bioc-arrayexpress
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-bioc-biobase,
               r-cran-xml,
               r-bioc-limma,
               r-bioc-oligo
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-arrayexpress
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-arrayexpress.git
Homepage: https://bioconductor.org/packages/ArrayExpress/
Rules-Requires-Root: no

Package: r-bioc-arrayexpress
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: access to the ArrayExpress Microarray Database at EBI
 Access to the ArrayExpress Microarray Database at EBI and build
 Bioconductor data structures: ExpressionSet, AffyBatch,
 NChannelSet

## r-bioc-arrayexpress 1.54.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: Access the ArrayExpress Microarray Database at EBI and build
         Bioconductor data structures: ExpressionSet, AffyBatch,
         NChannelSet
-Version: 1.50.0
+Version: 1.54.0
 Author: Audrey Kauffmann, Ibrahim Emam, Michael Schubert
 Maintainer: Suhaib Mohammed <suhaib@ebi.ac.uk>
 Depends: R (>= 2.9.0), Biobase (>= 2.4.0)
@@ -13,8 +13,8 @@
 NeedsCompilation: no
 Suggests: affy
 git_url: https://git.bioconductor.org/packages/ArrayExpress
-git_branch: RELEASE_3_12
-git_last_commit: 3a8e996
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
-Packaged: 2020-10-27 22:28:26 UTC; biocbuild
+git_branch: RELEASE_3_14
+git_last_commit: 9a09ffb
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
+Packaged: 2021-10-26 20:51:41 UTC; biocbuild

=== debian/changelog ===
r-bioc-arrayexpress (1.54.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 20:36:44 +0100

r-bioc-arrayexpress (1.52.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Tue, 07 Sep 2021 12:34:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biobase,
                r-cran-xml,
-               r-bioc-limma,
-               r-bioc-oligo
-Standards-Version: 4.5.1
+               r-bioc-oligo,
+               r-bioc-limma
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-arrayexpress
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-arrayexpress.git
 Homepage: https://bioconductor.org/packages/ArrayExpress/

## r-bioc-arrayexpress 1.56.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: Access the ArrayExpress Microarray Database at EBI and build
         Bioconductor data structures: ExpressionSet, AffyBatch,
         NChannelSet
-Version: 1.54.0
+Version: 1.56.0
 Author: Audrey Kauffmann, Ibrahim Emam, Michael Schubert
 Maintainer: Suhaib Mohammed <suhaib@ebi.ac.uk>
 Depends: R (>= 2.9.0), Biobase (>= 2.4.0)
@@ -13,8 +13,8 @@
 NeedsCompilation: no
 Suggests: affy
 git_url: https://git.bioconductor.org/packages/ArrayExpress
-git_branch: RELEASE_3_14
-git_last_commit: 9a09ffb
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
-Packaged: 2021-10-26 20:51:41 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: 56fb940
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 20:00:58 UTC; biocbuild

=== debian/changelog ===
r-bioc-arrayexpress (1.56.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 11:59:06 +0200

## r-bioc-arrayexpress 1.57.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: Access the ArrayExpress Microarray Database at EBI and build
         Bioconductor data structures: ExpressionSet, AffyBatch,
         NChannelSet
-Version: 1.56.0
+Version: 1.57.0
 Author: Audrey Kauffmann, Ibrahim Emam, Michael Schubert
 Maintainer: Suhaib Mohammed <suhaib@ebi.ac.uk>
 Depends: R (>= 2.9.0), Biobase (>= 2.4.0)
@@ -13,8 +13,8 @@
 NeedsCompilation: no
 Suggests: affy
 git_url: https://git.bioconductor.org/packages/ArrayExpress
-git_branch: RELEASE_3_15
-git_last_commit: 56fb940
+git_branch: master
+git_last_commit: 321e40d
 git_last_commit_date: 2022-04-26
 Date/Publication: 2022-04-26
-Packaged: 2022-04-26 20:00:58 UTC; biocbuild
+Packaged: 2022-04-26 19:52:06 UTC; biocbuild

=== debian/changelog ===
r-bioc-arrayexpress (1.57.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 18:16:38 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-xml,
                r-bioc-oligo,
                r-bioc-limma
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-arrayexpress
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-arrayexpress.git
 Homepage: https://bioconductor.org/packages/ArrayExpress/

## r-bioc-arrayexpress 1.60.0

=== DESCRIPTION ===
Package: ArrayExpress
Title: Access the ArrayExpress Collection at EMBL-EBI Biostudies and
        build Bioconductor data structures: ExpressionSet, AffyBatch,
        NChannelSet
Version: 1.60.0
Author: Audrey Kauffmann, Ibrahim Emam, Michael Schubert, Jose Marugan
Maintainer: Jose Marugan <jcmarca@ebi.ac.uk>
Depends: R (>= 2.9.0), Biobase (>= 2.4.0)
Imports: oligo, limma, httr, utils, jsonlite, rlang, tools, methods
Description: Access the ArrayExpress Collection at EMBL-EBI Biostudies and build Bioconductor data structures: ExpressionSet, AffyBatch, NChannelSet.
License: Artistic-2.0
biocViews: Microarray, DataImport, OneChannel, TwoChannel
NeedsCompilation: no
Suggests: affy
git_url: https://git.bioconductor.org/packages/ArrayExpress
git_branch: RELEASE_3_17
git_last_commit: e1d39c3
git_last_commit_date: 2023-04-25
Date/Publication: 2023-04-25
Packaged: 2023-04-25 20:14:11 UTC; biocbuild

=== debian/changelog ===
r-bioc-arrayexpress (1.60.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 28 Jul 2023 05:50:12 +0200

## r-bioc-arrayexpress 1.62.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: Access the ArrayExpress Collection at EMBL-EBI Biostudies and
         build Bioconductor data structures: ExpressionSet, AffyBatch,
         NChannelSet
-Version: 1.60.0
+Version: 1.62.0
 Author: Audrey Kauffmann, Ibrahim Emam, Michael Schubert, Jose Marugan
 Maintainer: Jose Marugan <jcmarca@ebi.ac.uk>
 Depends: R (>= 2.9.0), Biobase (>= 2.4.0)
@@ -13,8 +13,8 @@
 NeedsCompilation: no
 Suggests: affy
 git_url: https://git.bioconductor.org/packages/ArrayExpress
-git_branch: RELEASE_3_17
-git_last_commit: e1d39c3
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
-Packaged: 2023-04-25 20:14:11 UTC; biocbuild
+git_branch: RELEASE_3_18
+git_last_commit: 52f3e7c
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
+Packaged: 2023-10-24 20:19:10 UTC; biocbuild

=== debian/changelog ===
r-bioc-arrayexpress (1.62.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add d/t/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 20:03:18 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,12 @@
                dh-r,
                r-base-dev,
                r-bioc-biobase,
-               r-cran-xml,
                r-bioc-oligo,
-               r-bioc-limma
-Standards-Version: 4.6.1
+               r-bioc-limma,
+               r-cran-httr,
+               r-cran-jsonlite,
+               r-cran-rlang
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-arrayexpress
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-arrayexpress.git
 Homepage: https://bioconductor.org/packages/ArrayExpress/

## r-bioc-arrayexpress 1.64.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: Access the ArrayExpress Collection at EMBL-EBI Biostudies and
         build Bioconductor data structures: ExpressionSet, AffyBatch,
         NChannelSet
-Version: 1.62.0
+Version: 1.64.0
 Author: Audrey Kauffmann, Ibrahim Emam, Michael Schubert, Jose Marugan
 Maintainer: Jose Marugan <jcmarca@ebi.ac.uk>
 Depends: R (>= 2.9.0), Biobase (>= 2.4.0)
@@ -13,8 +13,9 @@
 NeedsCompilation: no
 Suggests: affy
 git_url: https://git.bioconductor.org/packages/ArrayExpress
-git_branch: RELEASE_3_18
-git_last_commit: 52f3e7c
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
-Packaged: 2023-10-24 20:19:10 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: d95a2bf
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
+Packaged: 2024-05-01 02:34:09 UTC; biocbuild

=== debian/changelog ===
r-bioc-arrayexpress (1.64.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 11:59:40 +0200

r-bioc-arrayexpress (1.64.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 07 Aug 2024 16:44:33 +0200

r-bioc-arrayexpress (1.64.0-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 12 Jul 2024 12:05:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biobase,
-               r-bioc-oligo,
-               r-bioc-limma,
+               r-bioc-biobase (>= 2.64.0),
+               r-bioc-oligo (>= 1.68.2),
+               r-bioc-limma (>= 3.60.4),
                r-cran-httr,
                r-cran-jsonlite,
                r-cran-rlang
@@ -22,9 +22,13 @@
 Package: r-bioc-arrayexpress
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biobase (>= 2.64.0),
+         r-bioc-oligo (>= 1.68.2),
+         r-bioc-limma (>= 3.60.4)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-affy (>= 1.82.0)
 Description: access to the ArrayExpress Microarray Database at EBI
  Access to the ArrayExpress Microarray Database at EBI and build
  Bioconductor data structures: ExpressionSet, AffyBatch,

## r-bioc-arrayexpress 1.66.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: Access the ArrayExpress Collection at EMBL-EBI Biostudies and
         build Bioconductor data structures: ExpressionSet, AffyBatch,
         NChannelSet
-Version: 1.64.0
+Version: 1.66.0
 Author: Audrey Kauffmann, Ibrahim Emam, Michael Schubert, Jose Marugan
 Maintainer: Jose Marugan <jcmarca@ebi.ac.uk>
 Depends: R (>= 2.9.0), Biobase (>= 2.4.0)
@@ -13,9 +13,9 @@
 NeedsCompilation: no
 Suggests: affy
 git_url: https://git.bioconductor.org/packages/ArrayExpress
-git_branch: RELEASE_3_19
-git_last_commit: d95a2bf
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
-Packaged: 2024-05-01 02:34:09 UTC; biocbuild
+git_branch: RELEASE_3_20
+git_last_commit: d1e37af
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
+Packaged: 2024-10-29 23:29:36 UTC; biocbuild

=== debian/changelog ===
r-bioc-arrayexpress (1.66.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 20:52:10 +0100

r-bioc-arrayexpress (1.66.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 12:46:27 +0100

=== debian/control ===
Source: r-bioc-arrayexpress
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biobase,
               r-bioc-oligo,
               r-bioc-limma,
               r-cran-httr,
               r-cran-jsonlite,
               r-cran-rlang
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-arrayexpress
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-arrayexpress.git
Homepage: https://bioconductor.org/packages/ArrayExpress/
Rules-Requires-Root: no

Package: r-bioc-arrayexpress
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: access to the ArrayExpress Microarray Database at EBI
 Access to the ArrayExpress Microarray Database at EBI and build
 Bioconductor data structures: ExpressionSet, AffyBatch,
 NChannelSet

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/ArrayExpress.html .*/ArrayExpress_(.*).tar.gz
